.news-item {
    text-decoration: none;
    font-size: rem(12);
    line-height: rem(16);
    position: relative;
    color: var(--gray-60);
    transition: var(--transition-time);

    &:hover {
        color: var(--blue);
        text-decoration: none;
        transition: var(--transition-time);

        .news-item__media {

            > * {
                transform: scale(1.2);
                transition: .3s;
            }
        }
    }

    &__media {
        display: block;
        overflow: hidden;
        border-radius: rem(4);
        margin-bottom: rem(8);

        > * {
            display: block;
            transform: scale(1);
            transition: .3s;
        }
    }

    &__date {
        color: var(--gray-40);
        margin-bottom: rem(8);
    }

    &__title {
        font-weight: 600;
        //color: var(--gray-60);

        a {
            color: var(--gray-60);
            text-decoration: none;
            transition: var(--transition-time);

            &:hover {
                color: var(--blue);
                text-decoration: none;
                transition: var(--transition-time);
            }
        }
    }

    &__tags {
        z-index: 10;
        top: rem(4);
        left: rem(4);
        right: rem(4);
        position: absolute;
        display: flex;
        flex-wrap: wrap;
        row-gap: rem(4);
        column-gap: rem(4);
        align-items: center;
    }

    &__link {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 20;
        display: block;
        position: absolute;
    }

    @include media-breakpoint-up(md) {

        &__tags {
            top: rem(8);
            left: rem(8);
            right: rem(8);
        }
    }

    @include media-breakpoint-up(lg) {
        font-size: rem(13);
        line-height: rem(20);

        &__media {
            margin-bottom: rem(12);
        }

        &__date {
            margin-bottom: rem(12);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(14);
        line-height: rem(20);
    }
}

[data-news] {
    overflow: visible;

    .swiper-slide {
        width: rem(262);
    }

    @include media-breakpoint-up(lg) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }
    }
}

.news-grid {
    display: grid;
    grid-row-gap: rem(16);
    grid-column-gap: rem(16);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-row-gap: rem(28);
        grid-column-gap: rem(28);
    }

    @include media-breakpoint-up(xl) {}
}

.item-tag {
    height: rem(16);
    font-weight: 600;
    font-size: rem(9);
    white-space: nowrap;
    line-height: rem(10);
    border-radius: rem(4);
    padding: rem(2) rem(5);
    text-transform: uppercase;
    display: flex;
    align-items: center;

    &--white {
        color: var(--gray-80);
        background-color: white;
        border: 1px solid var(--gray-10);
    }

    &--yellow {
        color: var(--gray-80);
        background-color: #FFE040;
        border: 1px solid #FFD600;
    }

    &--green {
        color: white;
        background-color: #34C759;
        border: 1px solid #16B23E;
    }

    &--rose {
        color: white;
        background-color: #E24747;
        border: 1px solid #D80A0A;
    }

    &--black {
        color: white;
        background-color: var(--gray-80);
        border: 1px solid var(--gray-90);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(11);
        line-height: rem(12);
        padding: rem(2) rem(6);
        height: rem(20);
    }
}
